package com.diagbot.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.dto.LisMappingPageDTO;
import com.diagbot.entity.LisMapping;
import com.diagbot.entity.wrapper.LisMappingWrapper;
import com.diagbot.vo.LisMappingPageVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 化验项目公表映射 服务类
 * </p>
 *
 * @author zhaops
 * @since 2019-09-19
 */
public interface LisMappingService extends IService<LisMapping> {
    /**
     * 获取化验公表映射分页
     *
     * @param lisMappingPageVO
     * @return
     */
    IPage<LisMappingPageDTO> lisMappingPage(@Param("lisMappingPageVO") LisMappingPageVO lisMappingPageVO);

    /**
     * 获取化验公表映射
     *
     * @param map
     * @return
     */
    List<LisMappingWrapper> getLisMappingByName(Map map);
}