package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.LisMappingPageDTO;
import com.diagbot.entity.LisMapping;
import com.diagbot.entity.wrapper.LisMappingWrapper;
import com.diagbot.mapper.LisMappingMapper;
import com.diagbot.service.LisMappingService;
import com.diagbot.vo.LisMappingPageVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 化验项目公表映射 服务实现类
 * </p>
 *
 * @author zhaops
 * @since 2019-09-19
 */
@Service
public class LisMappingServiceImpl extends ServiceImpl<LisMappingMapper, LisMapping> implements LisMappingService {
    /**
     * 获取化验公表映射分页
     *
     * @param lisMappingPageVO
     * @return
     */
    public IPage<LisMappingPageDTO> lisMappingPage(@Param("lisMappingPageVO") LisMappingPageVO lisMappingPageVO) {
        return this.baseMapper.lisMappingPage(lisMappingPageVO);
    }

    /**
     * 获取化验公表映射
     *
     * @param map
     * @return
     */
    public List<LisMappingWrapper> getLisMappingByName(Map map) {
        return this.baseMapper.getLisMappingByName(map);
    }
}
